
From: Tom Rini <trini@kernel.crashing.org>

The problem is that on PPC32 (and probably sparc64) 'asmlinkage' is a
useless keyword, and should just be removed from include/asm-ppc/unistd.h.


---

 25-akpm/include/asm-ppc/unistd.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/asm-ppc/unistd.h~ppc32-build-fix include/asm-ppc/unistd.h
--- 25/include/asm-ppc/unistd.h~ppc32-build-fix	2004-03-15 23:03:50.881025872 -0800
+++ 25-akpm/include/asm-ppc/unistd.h	2004-03-15 23:03:50.882025720 -0800
@@ -415,10 +415,10 @@ int sys_vfork(int p1, int p2, int p3, in
 int sys_pipe(int __user *fildes);
 int sys_ptrace(long request, long pid, long addr, long data);
 struct sigaction;
-asmlinkage long sys_rt_sigaction(int sig,
-				const struct sigaction __user *act,
-				struct sigaction __user *oact,
-				size_t sigsetsize);
+long sys_rt_sigaction(int sig,
+		      const struct sigaction __user *act,
+		      struct sigaction __user *oact,
+		      size_t sigsetsize);
 
 #endif /* __KERNEL_SYSCALLS__ */
 

_
